import java.util.*;
import java.io.*;

public class encryption_dg {
	FastScanner in;
	PrintWriter out;

	boolean isVowel(char c) {
		c = Character.toLowerCase(c);
		if (Character.isAlphabetic(c)
				&& (c == 'a' || c == 'e' || c == 'i' || c == 'o' || c == 'u'))
			return true;
		return false;
	}

	public void solve() throws IOException {
		int n = in.nextInt();
		String s = in.next();
		int vowelFront = 0, vowelBack = 0;
		int res = 0;
		for (int i = 0; i < s.length(); i++) {
			if (isVowel(s.charAt(i))) {
				vowelFront++;
			}
			if (isVowel(s.charAt(s.length() - 1 - i))) {
				vowelBack++;
			}
			if (vowelFront != 0 && vowelFront == vowelBack) {
				res++;
			}
		}
		out.println(res);
	}

	public void run() {
		try {
			in = new FastScanner(new File("encryption.in"));
			out = new PrintWriter(new File("encryption.out"));

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	class FastScanner {
		BufferedReader br;
		StringTokenizer st;

		FastScanner(File f) {
			try {
				br = new BufferedReader(new FileReader(f));
			} catch (FileNotFoundException e) {
				e.printStackTrace();
			}
		}

		String next() {
			while (st == null || !st.hasMoreTokens()) {
				try {
					st = new StringTokenizer(br.readLine());
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
			return st.nextToken();
		}

		int nextInt() {
			return Integer.parseInt(next());
		}
	}

	public static void main(String[] arg) {
		new encryption_dg().run();
	}
}